var InteractionTokenEntity_1;
import * as tslib_1 from "tslib";
import { plainToClass } from 'class-transformer';
import { PrimaryGeneratedColumn, Entity, Column } from 'typeorm/browser';
let InteractionTokenEntity = InteractionTokenEntity_1 = class InteractionTokenEntity {
    static fromJWT(jwt) {
        return plainToClass(InteractionTokenEntity_1, {
            nonce: jwt.nonce,
            type: jwt.interactionType,
            issuer: jwt.issuer,
            timestamp: jwt.issued,
            original: jwt.encode(),
        });
    }
};
tslib_1.__decorate([
    PrimaryGeneratedColumn(),
    tslib_1.__metadata("design:type", Number)
], InteractionTokenEntity.prototype, "id", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], InteractionTokenEntity.prototype, "nonce", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], InteractionTokenEntity.prototype, "type", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], InteractionTokenEntity.prototype, "issuer", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", Number)
], InteractionTokenEntity.prototype, "timestamp", void 0);
tslib_1.__decorate([
    Column(),
    tslib_1.__metadata("design:type", String)
], InteractionTokenEntity.prototype, "original", void 0);
InteractionTokenEntity = InteractionTokenEntity_1 = tslib_1.__decorate([
    Entity('interaction_tokens')
], InteractionTokenEntity);
export { InteractionTokenEntity };
