import { JSONWebToken } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { PaymentRequest } from 'jolocom-lib/js/interactionTokens/paymentRequest';
import { RootState } from '../../reducers';
import { BackendMiddleware } from '../../backendMiddleware';
import { PaymentRequestSummary } from './types';
export declare const consumePaymentRequest: (paymentRequest: JSONWebToken<PaymentRequest>, isDeepLinkInteraction?: boolean) => (dispatch: import("redux-thunk").ThunkDispatch<RootState, BackendMiddleware, import("redux").AnyAction>, getState: () => RootState, backendMiddleware: BackendMiddleware) => Promise<void | import("redux").AnyAction>;
export declare const sendPaymentResponse: (isDeepLinkInteraction: boolean, paymentDetails: PaymentRequestSummary) => (dispatch: import("redux-thunk").ThunkDispatch<RootState, BackendMiddleware, import("redux").AnyAction>, getState: () => RootState, backendMiddleware: BackendMiddleware) => Promise<void | import("redux").AnyAction>;
