export declare enum ErrorCode {
    Unknown = "Unknown",
    WalletInitFailed = "WalletInit",
    SaveClaimFailed = "SaveClaim",
    SaveExternalCredentialFailed = "SaveExtCred",
    DeepLinkUrlNotFound = "DeepLinkUrlNotFound",
    AuthenticationRequestFailed = "AuthRequest",
    AuthenticationResponseFailed = "AuthResponse",
    PaymentRequestFailed = "PayRequest",
    PaymentResponseFailed = "PayResponse",
    CredentialOfferFailed = "CredOffer",
    CredentialsReceiveFailed = "CredsReceive",
    CredentialRequestFailed = "CredRequest",
    CredentialResponseFailed = "CredResponse",
    ParseJWTFailed = "ParseJWT",
    RegistrationFailed = "Registration",
    AppInitFailed = "AppInitFailed"
}
