import { SET_DOC_DETAIL, CLEAR_DOC_DETAIL } from 'src/actions/documents';
const initialState = {
    selectedDocument: {
        credentialType: '',
        subject: '',
        id: '',
        issuer: {
            did: '',
        },
        expires: undefined,
        claimData: {
            type: '',
            documentNumber: '',
        },
    },
};
export const documentsReducer = (state = initialState, action) => {
    switch (action.type) {
        case SET_DOC_DETAIL:
            return Object.assign({}, state, { selectedDocument: action.value });
        case CLEAR_DOC_DETAIL:
            return Object.assign({}, state, { selectedDocument: initialState.selectedDocument });
        default:
            return state;
    }
};
