const initialState = {
    loadingMsg: 'Loading',
    isRegistering: false,
};
export const loading = (state = initialState, action) => {
    switch (action.type) {
        case 'SET_IS_REGISTERING':
            return Object.assign({}, state, { isRegistering: action.value });
        case 'SET_LOADING_MSG':
            return Object.assign({}, state, { loadingMsg: action.value });
        default:
            return state;
    }
};
