import { combineReducers } from 'redux';
import { settingsReducer } from 'src/reducers/settings/';
import { accountReducer } from 'src/reducers/account/';
import { registrationReducer, } from 'src/reducers/registration/';
import { documentsReducer } from './documents';
import { notificationsReducer } from './notifications';
export const rootReducer = combineReducers({
    settings: settingsReducer,
    account: accountReducer,
    registration: registrationReducer,
    documents: documentsReducer,
    notifications: notificationsReducer,
});
